org.eclipse.jetty.servlet

## Class StatisticsServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.eclipse.jetty.servlet.StatisticsServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class StatisticsServlet
    extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StatisticsServlet()`

### Method Summary

Methods
`protected void` `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`void` `doPost(javax.servlet.http.HttpServletRequest sreq, javax.servlet.http.HttpServletResponse sres)`
`void` `init()`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatisticsServlet

    public StatisticsServlet()

### Method Detail

#### init

    public void init()
              throws javax.servlet.ServletException

Overrides:
  `init` in class `javax.servlet.GenericServlet`
Throws:
  `javax.servlet.ServletException`

#### doPost

    public void doPost(javax.servlet.http.HttpServletRequest sreq,
              javax.servlet.http.HttpServletResponse sres)
                throws javax.servlet.ServletException,
                       IOException

Overrides:
  `doPost` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest req,
             javax.servlet.http.HttpServletResponse resp)
                  throws javax.servlet.ServletException,
                         IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`